searchData={"items":[{"type":"module","title":"WebmaniaNfe","doc":"Documentation for `WebmaniaNfe`.","ref":"WebmaniaNfe.html"},{"type":"module","title":"Usage - WebmaniaNfe","doc":"","ref":"WebmaniaNfe.html#module-usage"},{"type":"function","title":"WebmaniaNfe.get_invoice/2","doc":"","ref":"WebmaniaNfe.html#get_invoice/2"},{"type":"function","title":"WebmaniaNfe.invoice/2","doc":"","ref":"WebmaniaNfe.html#invoice/2"},{"type":"function","title":"WebmaniaNfe.new/1","doc":"","ref":"WebmaniaNfe.html#new/1"},{"type":"function","title":"WebmaniaNfe.new/5","doc":"","ref":"WebmaniaNfe.html#new/5"},{"type":"module","title":"WebmaniaNfe.Client","doc":"Documentation for `WebmaniaNfe.Client`, is used by `WebmaniaNfe`.","ref":"WebmaniaNfe.Client.html"},{"type":"module","title":"Usage - WebmaniaNfe.Client","doc":"Before using the WebmaniaNfe SDk, you need to configure it with your credentials.\nThe simplest way to do this is via `WebmaniaNfe.Client.Config.new/5`:\n```\n    iex> config = WebmaniaNfe.Client.Config.new(\"https://webmaniabr.com/api/\", \"CONSUMER_KEY\", \"CONSUMER_SECRET\", \"ACCESS_TOKEN\", \"ACCESS_TOKEN_SECRET\")\n    %WebmaniaNfe.Client.Config{\n      base_url: \"https://webmaniabr.com/api/\",\n      consumer_key: \"CONSUMER_KEY\",\n      consumer_secret: \"CONSUMER_SECRET\",\n      access_token: \"ACCESS_TOKEN\",\n      access_token_secret: \"ACCESS_TOKEN_SECRET\"\n    }\n```\nConfig is used to create the client:\n```\n    iex> config |> WebmaniaNfe.Client.new()\n    %WebmaniaNfe.Client{\n      config: %WebmaniaNfe.Client.Config{\n        base_url: \"https://webmaniabr.com/api/\",\n        consumer_key: \"CONSUMER_KEY\",\n        consumer_secret: \"CONSUMER_SECRET\",\n        access_token: \"ACCESS_TOKEN\",\n        access_token_secret: \"ACCESS_TOKEN_SECRET\"\n      },\n      headers: [\n        {\"Content-Type\", \"application/json\"},\n        {\"X-Consumer-Key\", \"CONSUMER_KEY\"},\n        {\"X-Consumer-Secret\", \"CONSUMER_SECRET\"},\n        {\"X-Access-Token\", \"ACCESS_TOKEN\"},\n        {\"X-Access-Token-Secret\", \"ACCESS_TOKEN_SECRET\"}\n      ],\n      request: nil,\n      response: nil\n    }\n```\nYou can create the client directly also:\n```\n    iex> WebmaniaNfe.Client.new(\"https://webmaniabr.com/api/\", \"CONSUMER_KEY\", \"CONSUMER_SECRET\", \"ACCESS_TOKEN\", \"ACCESS_TOKEN_SECRET\")\n    %WebmaniaNfe.Client{\n      config: %WebmaniaNfe.Client.Config{\n        base_url: \"https://webmaniabr.com/api/\",\n        consumer_key: \"CONSUMER_KEY\",\n        consumer_secret: \"CONSUMER_SECRET\",\n        access_token: \"ACCESS_TOKEN\",\n        access_token_secret: \"ACCESS_TOKEN_SECRET\"\n      },\n      headers: [\n        {\"Content-Type\", \"application/json\"},\n        {\"X-Consumer-Key\", \"CONSUMER_KEY\"},\n        {\"X-Consumer-Secret\", \"CONSUMER_SECRET\"},\n        {\"X-Access-Token\", \"ACCESS_TOKEN\"},\n        {\"X-Access-Token-Secret\", \"ACCESS_TOKEN_SECRET\"}\n      ],\n      request: nil,\n      response: nil\n    }\n\n```","ref":"WebmaniaNfe.Client.html#module-usage"},{"type":"function","title":"WebmaniaNfe.Client.new/1","doc":"Build a new SDk client from `WebmaniaNfe.Client.Config`.\n\nCheck `WebmaniaNfe.Client.Config`.\n\n```\n    iex> config = WebmaniaNfe.Client.Config.new(\"https://webmaniabr.com/api/\", \"CONSUMER_KEY\", \"CONSUMER_SECRET\", \"ACCESS_TOKEN\", \"ACCESS_TOKEN_SECRET\")\n    %WebmaniaNfe.Client.Config{\n      base_url: \"https://webmaniabr.com/api/\",\n      consumer_key: \"CONSUMER_KEY\",\n      consumer_secret: \"CONSUMER_SECRET\",\n      access_token: \"ACCESS_TOKEN\",\n      access_token_secret: \"ACCESS_TOKEN_SECRET\"\n    }\n    iex> config |> WebmaniaNfe.Client.new()\n    %WebmaniaNfe.Client{\n      config: %WebmaniaNfe.Client.Config{\n        base_url: \"https://webmaniabr.com/api/\",\n        consumer_key: \"CONSUMER_KEY\",\n        consumer_secret: \"CONSUMER_SECRET\",\n        access_token: \"ACCESS_TOKEN\",\n        access_token_secret: \"ACCESS_TOKEN_SECRET\"\n      },\n      headers: [\n        {\"Content-Type\", \"application/json\"},\n        {\"X-Consumer-Key\", \"CONSUMER_KEY\"},\n        {\"X-Consumer-Secret\", \"CONSUMER_SECRET\"},\n        {\"X-Access-Token\", \"ACCESS_TOKEN\"},\n        {\"X-Access-Token-Secret\", \"ACCESS_TOKEN_SECRET\"}\n      ],\n      request: nil,\n      response: nil\n    }\n\n```\n  Or:\n```\n    iex> %WebmaniaNfe.Client.Config{\n      base_url: \"https://webmaniabr.com/api/\",\n      consumer_key: \"CONSUMER_KEY\",\n      consumer_secret: \"CONSUMER_SECRET\",\n      access_token: \"ACCESS_TOKEN\",\n      access_token_secret: \"ACCESS_TOKEN_SECRET\"\n    } |> WebmaniaNfe.Client.new()\n    %WebmaniaNfe.Client{\n      config: %WebmaniaNfe.Client.Config{\n        base_url: \"https://webmaniabr.com/api/\",\n        consumer_key: \"CONSUMER_KEY\",\n        consumer_secret: \"CONSUMER_SECRET\",\n        access_token: \"ACCESS_TOKEN\",\n        access_token_secret: \"ACCESS_TOKEN_SECRET\"\n      },\n      headers: [\n        {\"Content-Type\", \"application/json\"},\n        {\"X-Consumer-Key\", \"CONSUMER_KEY\"},\n        {\"X-Consumer-Secret\", \"CONSUMER_SECRET\"},\n        {\"X-Access-Token\", \"ACCESS_TOKEN\"},\n        {\"X-Access-Token-Secret\", \"ACCESS_TOKEN_SECRET\"}\n      ],\n      request: nil,\n      response: nil\n    }\n\n```","ref":"WebmaniaNfe.Client.html#new/1"},{"type":"function","title":"WebmaniaNfe.Client.new/5","doc":"Build a new SDk client.\n\n  - `base_url`: The base url of the API\n  - `consumer_key`: Your consumer key from WebmaniaBR account\n  - `consumer_secret`: Your consumer secret from WebmaniaBR account\n  - `access_token`: Your access token from WebmaniaBR account\n  - `access_token_secret`: Your access token secret from WebmaniaBR account\n\nCheck `WebmaniaNfe.Client.Config`.\n\n```\n    iex> WebmaniaNfe.Client.new(\"https://webmaniabr.com/api/\", \"CONSUMER_KEY\", \"CONSUMER_SECRET\", \"ACCESS_TOKEN\", \"ACCESS_TOKEN_SECRET\")\n    %WebmaniaNfe.Client{\n      config: %WebmaniaNfe.Client.Config{\n        base_url: \"https://webmaniabr.com/api/\",\n        consumer_key: \"CONSUMER_KEY\",\n        consumer_secret: \"CONSUMER_SECRET\",\n        access_token: \"ACCESS_TOKEN\",\n        access_token_secret: \"ACCESS_TOKEN_SECRET\"\n      },\n      headers: [\n        {\"Content-Type\", \"application/json\"},\n        {\"X-Consumer-Key\", \"CONSUMER_KEY\"},\n        {\"X-Consumer-Secret\", \"CONSUMER_SECRET\"},\n        {\"X-Access-Token\", \"ACCESS_TOKEN\"},\n        {\"X-Access-Token-Secret\", \"ACCESS_TOKEN_SECRET\"}\n      ],\n      request: nil,\n      response: nil\n    }\n\n```","ref":"WebmaniaNfe.Client.html#new/5"},{"type":"function","title":"WebmaniaNfe.Client.request/2","doc":"","ref":"WebmaniaNfe.Client.html#request/2"},{"type":"module","title":"WebmaniaNfe.Client.Config","doc":"Documentation for `WebmaniaNfe.Client.Config`, is used by `WebmaniaNfe.Client`.","ref":"WebmaniaNfe.Client.Config.html"},{"type":"module","title":"Usage - WebmaniaNfe.Client.Config","doc":"Authentication is performed using the HTTP header so it is necessary to send your application's `X-Consumer-Key`\nand `X-Consumer-Secret`, along with your user's `X-Access-Token` and `X-Access-Token-Secret`.\n\nYou can find this information in your WebmaniaBR account.\n\nDo this to create a client config with your credentials via `WebmaniaNfe.Client.Config.new/5`:\n```\n    iex> config = WebmaniaNfe.Client.Config.new(\"https://webmaniabr.com/api/\", \"CONSUMER_KEY\", \"CONSUMER_SECRET\", \"ACCESS_TOKEN\", \"ACCESS_TOKEN_SECRET\")\n    %WebmaniaNfe.Client.Config{\n      base_url: \"https://webmaniabr.com/api/\",\n      consumer_key: \"CONSUMER_KEY\",\n      consumer_secret: \"CONSUMER_SECRET\",\n      access_token: \"ACCESS_TOKEN\",\n      access_token_secret: \"ACCESS_TOKEN_SECRET\"\n    }\n\n    iex> config = %WebmaniaNfe.Client.Config{\n        base_url: \"https://webmaniabr.com/api/\",\n        consumer_key: \"CONSUMER_KEY\",\n        consumer_secret: \"CONSUMER_SECRET\",\n        access_token: \"ACCESS_TOKEN\",\n        access_token_secret: \"ACCESS_TOKEN_SECRET\"\n      }\n    %WebmaniaNfe.Client.Config{\n      base_url: \"https://webmaniabr.com/api/\",\n      consumer_key: \"CONSUMER_KEY\",\n      consumer_secret: \"CONSUMER_SECRET\",\n      access_token: \"ACCESS_TOKEN\",\n      access_token_secret: \"ACCESS_TOKEN_SECRET\"\n    }\n```","ref":"WebmaniaNfe.Client.Config.html#module-usage"},{"type":"function","title":"WebmaniaNfe.Client.Config.new/5","doc":"Build a new SDk config.\n\n  - base_url: The base url of the API\n  - consumer_key: Your consumer key from WebmaniaBR account\n  - consumer_secret: Your consumer secret from WebmaniaBR account\n  - access_token: Your access token from WebmaniaBR account\n  - access_token_secret: Your access token secret from WebmaniaBR account\n```\n    iex> config = WebmaniaNfe.Client.Config.new(\"https://webmaniabr.com/api/\", \"CONSUMER_KEY\", \"CONSUMER_SECRET\", \"ACCESS_TOKEN\", \"ACCESS_TOKEN_SECRET\")\n    %WebmaniaNfe.Client.Config{\n      base_url: \"https://webmaniabr.com/api/\",\n      consumer_key: \"CONSUMER_KEY\",\n      consumer_secret: \"CONSUMER_SECRET\",\n      access_token: \"ACCESS_TOKEN\",\n      access_token_secret: \"ACCESS_TOKEN_SECRET\"\n    }\n\n    iex> config = %WebmaniaNfe.Client.Config{\n        base_url: \"https://webmaniabr.com/api/\",\n        consumer_key: \"CONSUMER_KEY\",\n        consumer_secret: \"CONSUMER_SECRET\",\n        access_token: \"ACCESS_TOKEN\",\n        access_token_secret: \"ACCESS_TOKEN_SECRET\"\n      }\n    %WebmaniaNfe.Client.Config{\n      base_url: \"https://webmaniabr.com/api/\",\n      consumer_key: \"CONSUMER_KEY\",\n      consumer_secret: \"CONSUMER_SECRET\",\n      access_token: \"ACCESS_TOKEN\",\n      access_token_secret: \"ACCESS_TOKEN_SECRET\"\n    }\n```","ref":"WebmaniaNfe.Client.Config.html#new/5"},{"type":"module","title":"WebmaniaNfe.Invoice","doc":"Documentation for `WebmaniaNfe.Invoice`, is used by `WebmaniaNfe`.","ref":"WebmaniaNfe.Invoice.html"},{"type":"module","title":"Usage - WebmaniaNfe.Invoice","doc":"Before using the WebmaniaNfe SDk, you need to configure it with your credentials.\nThe simplest way to do this is via `WebmaniaNfe.Client.Config.new/5`:\n```\n    iex> config = WebmaniaNfe.Client.Config.new(\"https://webmaniabr.com/api/\", \"CONSUMER_KEY\", \"CONSUMER_SECRET\", \"ACCESS_TOKEN\", \"ACCESS_TOKEN_SECRET\")\n    %WebmaniaNfe.Client.Config{\n      base_url: \"https://webmaniabr.com/api/\",\n      consumer_key: \"CONSUMER_KEY\",\n      consumer_secret: \"CONSUMER_SECRET\",\n      access_token: \"ACCESS_TOKEN\",\n      access_token_secret: \"ACCESS_TOKEN_SECRET\"\n    }\n```\nConfig is used to create the client:\n```\n    iex> config |> WebmaniaNfe.Client.new()\n    %WebmaniaNfe.Client{\n      config: %WebmaniaNfe.Client.Config{\n        base_url: \"https://webmaniabr.com/api/\",\n        consumer_key: \"CONSUMER_KEY\",\n        consumer_secret: \"CONSUMER_SECRET\",\n        access_token: \"ACCESS_TOKEN\",\n        access_token_secret: \"ACCESS_TOKEN_SECRET\"\n      },\n      headers: [\n        {\"Content-Type\", \"application/json\"},\n        {\"X-Consumer-Key\", \"CONSUMER_KEY\"},\n        {\"X-Consumer-Secret\", \"CONSUMER_SECRET\"},\n        {\"X-Access-Token\", \"ACCESS_TOKEN\"},\n        {\"X-Access-Token-Secret\", \"ACCESS_TOKEN_SECRET\"}\n      ],\n      request: nil,\n      response: nil\n    }\n```\nYou can create the client directly also:\n```\n    iex> WebmaniaNfe.Client.new(\"https://webmaniabr.com/api/\", \"CONSUMER_KEY\", \"CONSUMER_SECRET\", \"ACCESS_TOKEN\", \"ACCESS_TOKEN_SECRET\")\n    %WebmaniaNfe.Client{\n      config: %WebmaniaNfe.Client.Config{\n        base_url: \"https://webmaniabr.com/api/\",\n        consumer_key: \"CONSUMER_KEY\",\n        consumer_secret: \"CONSUMER_SECRET\",\n        access_token: \"ACCESS_TOKEN\",\n        access_token_secret: \"ACCESS_TOKEN_SECRET\"\n      },\n      headers: [\n        {\"Content-Type\", \"application/json\"},\n        {\"X-Consumer-Key\", \"CONSUMER_KEY\"},\n        {\"X-Consumer-Secret\", \"CONSUMER_SECRET\"},\n        {\"X-Access-Token\", \"ACCESS_TOKEN\"},\n        {\"X-Access-Token-Secret\", \"ACCESS_TOKEN_SECRET\"}\n      ],\n      request: nil,\n      response: nil\n    }\n\n```","ref":"WebmaniaNfe.Invoice.html#module-usage"},{"type":"function","title":"WebmaniaNfe.Invoice.add/2","doc":"","ref":"WebmaniaNfe.Invoice.html#add/2"},{"type":"function","title":"WebmaniaNfe.Invoice.add/4","doc":"","ref":"WebmaniaNfe.Invoice.html#add/4"},{"type":"function","title":"WebmaniaNfe.Invoice.create/2","doc":"","ref":"WebmaniaNfe.Invoice.html#create/2"},{"type":"function","title":"WebmaniaNfe.Invoice.get/2","doc":"","ref":"WebmaniaNfe.Invoice.html#get/2"},{"type":"function","title":"WebmaniaNfe.Invoice.new/0","doc":"","ref":"WebmaniaNfe.Invoice.html#new/0"},{"type":"function","title":"WebmaniaNfe.Invoice.new/1","doc":"","ref":"WebmaniaNfe.Invoice.html#new/1"},{"type":"function","title":"WebmaniaNfe.Invoice.new/3","doc":"","ref":"WebmaniaNfe.Invoice.html#new/3"},{"type":"module","title":"WebmaniaNfe.Invoice.Create","doc":"`WebmaniaNfe.Invoice.Create` handles initialization for the invoice request payload.","ref":"WebmaniaNfe.Invoice.Create.html"},{"type":"module","title":"Examples - WebmaniaNfe.Invoice.Create","doc":"iex> WebmaniaNfe.Invoice.Create.new!(%{ ID: \"123\", url_notificacao: \"https://webmaniabr.com\",  operacao: \"1\", natureza_operacao: \"Venda de produção do estabelecimento\",  modelo: \"1\", finalidade: \"1\",  ambiente: \"1\", cliente: %{    cpf: \"000.000.000-00\", nome_completo: \"Nome do Cliente\",    endereco: \"Av. Brg. Faria Lima\", complemento: \"Escritório\",    numero: 1000, bairro: \"Itaim Bibi\",    cidade: \"São Paulo\", uf: \"SP\",    cep: \"00000-000\", telefone: \"(00) 0000-0000\",    email: \"nome@email.com\" }, produtos: [%{    nome: \"Nome do produto\", codigo: \"nome-do-produto\",    ncm: \"6109.10.00\", cest: \"28.038.00\",    quantidade: 1, unidade: \"UN\",    peso: \"0.800\", origem: 0,    subtotal: \"29.90\", total: \"29.90\",    classe_imposto: \"REF1000\" }],  pedido: %{ pagamento: 0,    presenca: 2, modalidade_frete: 0,    frete: \"12.56\", desconto: \"10.00\",    total: \"174.60\" }})","ref":"WebmaniaNfe.Invoice.Create.html#module-examples"},{"type":"function","title":"WebmaniaNfe.Invoice.Create.add/2","doc":"","ref":"WebmaniaNfe.Invoice.Create.html#add/2"},{"type":"function","title":"WebmaniaNfe.Invoice.Create.new/0","doc":"","ref":"WebmaniaNfe.Invoice.Create.html#new/0"},{"type":"function","title":"WebmaniaNfe.Invoice.Create.new/1","doc":"","ref":"WebmaniaNfe.Invoice.Create.html#new/1"},{"type":"function","title":"WebmaniaNfe.Invoice.Create.new/3","doc":"","ref":"WebmaniaNfe.Invoice.Create.html#new/3"},{"type":"function","title":"WebmaniaNfe.Invoice.Create.request/1","doc":"","ref":"WebmaniaNfe.Invoice.Create.html#request/1"},{"type":"function","title":"WebmaniaNfe.Invoice.Create.response/2","doc":"","ref":"WebmaniaNfe.Invoice.Create.html#response/2"},{"type":"module","title":"WebmaniaNfe.Invoice.Create.Request","doc":"`WebmaniaNfe.Invoice.Create.Request` handles initialization for the invoice request payload.","ref":"WebmaniaNfe.Invoice.Create.Request.html"},{"type":"module","title":"Examples - WebmaniaNfe.Invoice.Create.Request","doc":"iex> WebmaniaNfe.Invoice.Create.Request.new!(%{ ID: \"123\", url_notificacao: \"https://webmaniabr.com\",  operacao: \"1\", natureza_operacao: \"Venda de produção do estabelecimento\",  modelo: \"1\", finalidade: \"1\",  ambiente: \"1\", cliente: %{    cpf: \"000.000.000-00\", nome_completo: \"Nome do Cliente\",    endereco: \"Av. Brg. Faria Lima\", complemento: \"Escritório\",    numero: 1000, bairro: \"Itaim Bibi\",    cidade: \"São Paulo\", uf: \"SP\",    cep: \"00000-000\", telefone: \"(00) 0000-0000\",    email: \"nome@email.com\" }, produtos: [%{    nome: \"Nome do produto\", codigo: \"nome-do-produto\",    ncm: \"6109.10.00\", cest: \"28.038.00\",    quantidade: 1, unidade: \"UN\",    peso: \"0.800\", origem: 0,    subtotal: \"29.90\", total: \"29.90\",    classe_imposto: \"REF1000\" }],  pedido: %{ pagamento: 0,    presenca: 2, modalidade_frete: 0,    frete: \"12.56\", desconto: \"10.00\",    total: \"174.60\" }})\n    %WebmaniaNfe.Invoice.Create.Request{\n      ID: \"123\",\n      url_notificacao: \"https://webmaniabr.com\",\n      operacao: \"1\",\n      natureza_operacao: \"Venda de produção do estabelecimento\",\n      modelo: \"1\",\n      finalidade: \"1\",\n      ambiente: \"1\",\n      cliente: %WebmaniaNfe.Invoice.Create.Request.Customer{\n        cpf: \"000.000.000-00\",\n        nome_completo: \"Nome do Cliente\",\n        endereco: \"Av. Brg. Faria Lima\",\n        complemento: \"Escritório\",\n        numero: 1000,\n        bairro: \"Itaim Bibi\",\n        cidade: \"São Paulo\",\n        uf: \"SP\",\n        cep: \"00000-000\",\n        telefone: \"(00) 0000-0000\",\n        email: \"nome@email.com\"\n      },\n      produtos: [%WebmaniaNfe.Invoice.Create.Request.Product{\n        nome: \"Nome do produto\",\n        codigo: \"nome-do-produto\",\n        ncm: \"6109.10.00\",\n        cest: \"28.038.00\",\n        quantidade: 1,\n        unidade: \"UN\",\n        peso: \"0.800\",\n        origem: 0,\n        subtotal: \"29.90\",\n        total: \"29.90\",\n        classe_imposto: \"REF1000\"\n      }],\n      pedido: %WebmaniaNfe.Invoice.Create.Request.Order{\n        pagamento: 0,\n        presenca: 2,\n        modalidade_frete: 0,\n        frete: \"12.56\",\n        desconto: \"10.00\",\n        total: \"174.60\"\n      }\n    }","ref":"WebmaniaNfe.Invoice.Create.Request.html#module-examples"},{"type":"function","title":"WebmaniaNfe.Invoice.Create.Request.new/1","doc":"","ref":"WebmaniaNfe.Invoice.Create.Request.html#new/1"},{"type":"function","title":"WebmaniaNfe.Invoice.Create.Request.new!/1","doc":"","ref":"WebmaniaNfe.Invoice.Create.Request.html#new!/1"},{"type":"module","title":"WebmaniaNfe.Invoice.Create.Request.Customer","doc":"Documentation for `WebmaniaNfe.Invoice.Create.Request.Customer`.","ref":"WebmaniaNfe.Invoice.Create.Request.Customer.html"},{"type":"module","title":"WebmaniaNfe.Invoice.Create.Request.Order","doc":"Documentation for `WebmaniaNfe.Invoice.Create.Request.Order`.","ref":"WebmaniaNfe.Invoice.Create.Request.Order.html"},{"type":"module","title":"WebmaniaNfe.Invoice.Create.Request.Product","doc":"Documentation for `WebmaniaNfe.Invoice.Create.Request.Product`.","ref":"WebmaniaNfe.Invoice.Create.Request.Product.html"},{"type":"module","title":"WebmaniaNfe.Invoice.Create.Response","doc":"`WebmaniaNfe.Invoice.Create.Response` handles initialization for the invoice Response payload.\n\n ##Examples\n    iex> WebmaniaNfe.Invoice.Create.Response.new!(%{ ID: \"123\", url_notificacao: \"https://webmaniabr.com\",  operacao: \"1\", natureza_operacao: \"Venda de produção do estabelecimento\",  modelo: \"1\", finalidade: \"1\",  ambiente: \"1\", cliente: %{    cpf: \"000.000.000-00\", nome_completo: \"Nome do Cliente\",    endereco: \"Av. Brg. Faria Lima\", complemento: \"Escritório\",    numero: 1000, bairro: \"Itaim Bibi\",    cidade: \"São Paulo\", uf: \"SP\",    cep: \"00000-000\", telefone: \"(00) 0000-0000\",    email: \"nome@email.com\" }, produtos: [%{    nome: \"Nome do produto\", codigo: \"nome-do-produto\",    ncm: \"6109.10.00\", cest: \"28.038.00\",    quantidade: 1, unidade: \"UN\",    peso: \"0.800\", origem: 0,    subtotal: \"29.90\", total: \"29.90\",    classe_imposto: \"REF1000\" }],  pedido: %{ pagamento: 0,    presenca: 2, modalidade_frete: 0,    frete: \"12.56\", desconto: \"10.00\",    total: \"174.60\" }})\n    %WebmaniaNfe.Invoice.Create.Response{\n      ID: \"123\",\n      url_notificacao: \"https://webmaniabr.com\",\n      operacao: \"1\",\n      natureza_operacao: \"Venda de produção do estabelecimento\",\n      modelo: \"1\",\n      finalidade: \"1\",\n      ambiente: \"1\",\n      cliente: %WebmaniaNfe.Invoice.Create.Response.Customer{\n        cpf: \"000.000.000-00\",\n        nome_completo: \"Nome do Cliente\",\n        endereco: \"Av. Brg. Faria Lima\",\n        complemento: \"Escritório\",\n        numero: 1000,\n        bairro: \"Itaim Bibi\",\n        cidade: \"São Paulo\",\n        uf: \"SP\",\n        cep: \"00000-000\",\n        telefone: \"(00) 0000-0000\",\n        email: \"nome@email.com\"\n      },\n      produtos: [%WebmaniaNfe.Invoice.Create.Response.Product{\n        nome: \"Nome do produto\",\n        codigo: \"nome-do-produto\",\n        ncm: \"6109.10.00\",\n        cest: \"28.038.00\",\n        quantidade: 1,\n        unidade: \"UN\",\n        peso: \"0.800\",\n        origem: 0,\n        subtotal: \"29.90\",\n        total: \"29.90\",\n        classe_imposto: \"REF1000\"\n      }],\n      pedido: %WebmaniaNfe.Invoice.Create.Response.Order{\n        pagamento: 0,\n        presenca: 2,\n        modalidade_frete: 0,\n        frete: \"12.56\",\n        desconto: \"10.00\",\n        total: \"174.60\"\n      }\n    }","ref":"WebmaniaNfe.Invoice.Create.Response.html"},{"type":"function","title":"WebmaniaNfe.Invoice.Create.Response.new/1","doc":"","ref":"WebmaniaNfe.Invoice.Create.Response.html#new/1"},{"type":"function","title":"WebmaniaNfe.Invoice.Create.Response.new!/1","doc":"","ref":"WebmaniaNfe.Invoice.Create.Response.html#new!/1"},{"type":"module","title":"WebmaniaNfe.Invoice.Get","doc":"`WebmaniaNfe.Invoice.Get` handles initialization for the get invoice.","ref":"WebmaniaNfe.Invoice.Get.html"},{"type":"module","title":"Examples - WebmaniaNfe.Invoice.Get","doc":"```elixir\n    iex> client = WebmaniaNfe.Client.new(\"https://webmaniabr.com/api/\", \"CONSUMER_KEY\", \"CONSUMER_SECRET\", \"ACCESS_TOKEN\", \"ACCESS_TOKEN_SECRET\")\n    iex> get = %WebmaniaNfe.Invoice.Get{} |> WebmaniaNfe.Invoice.Get.add(%WebmaniaNfe.Invoice.Get.Request{ ID: 123 }) |> WebmaniaNfe.Invoice.Get.add(client)\n    %WebmaniaNfe.Invoice.Get{\n      url: \"1/nfe/consulta/\",\n      method: \"GET\",\n      client: %WebmaniaNfe.Client{\n        config: %WebmaniaNfe.Client.Config{\n          base_url: \"https://webmaniabr.com/api/\",\n          consumer_key: \"CONSUMER_KEY\",\n          consumer_secret: \"CONSUMER_SECRET\",\n          access_token: \"ACCESS_TOKEN\",\n          access_token_secret: \"ACCESS_TOKEN_SECRET\"\n        },\n        headers: [\n          {\"Content-Type\", \"application/json\"},\n          {\"X-Consumer-Key\", \"CONSUMER_KEY\"},\n          {\"X-Consumer-Secret\", \"CONSUMER_SECRET\"},\n          {\"X-Access-Token\", \"ACCESS_TOKEN\"},\n          {\"X-Access-Token-Secret\", \"ACCESS_TOKEN_SECRET\"}\n        ],\n        request: nil,\n        response: nil\n      },\n      request: %WebmaniaNfe.Invoice.Get.Request{ID: 123, chave: nil, uuid: nil},\n      response: %WebmaniaNfe.Invoice.Create.Response{\n        uuid: nil,\n        status: nil,\n        motivo: nil,\n        nfe: nil,\n        serie: nil,\n        modelo: nil,\n        recibo: nil,\n        chave: nil,\n        xml: nil,\n        danfe: nil,\n        danfe_simples: nil,\n        danfe_etiqueta: nil,\n        log: nil\n      }\n    }\n    iex> get |> WebmaniaNfe.Invoice.Get.request()\n```","ref":"WebmaniaNfe.Invoice.Get.html#module-examples"},{"type":"function","title":"WebmaniaNfe.Invoice.Get.add/2","doc":"","ref":"WebmaniaNfe.Invoice.Get.html#add/2"},{"type":"function","title":"WebmaniaNfe.Invoice.Get.new/0","doc":"","ref":"WebmaniaNfe.Invoice.Get.html#new/0"},{"type":"function","title":"WebmaniaNfe.Invoice.Get.new/1","doc":"","ref":"WebmaniaNfe.Invoice.Get.html#new/1"},{"type":"function","title":"WebmaniaNfe.Invoice.Get.request/1","doc":"","ref":"WebmaniaNfe.Invoice.Get.html#request/1"},{"type":"module","title":"WebmaniaNfe.Invoice.Get.Response","doc":"`WebmaniaNfe.CreateInvoice.Response` handles initialization for the invoice Response payload.\n\n ##Examples\n    iex> WebmaniaNfe.Invoice.Get.Response.new!(%{ ID: \"123\", url_notificacao: \"https://webmaniabr.com\",  operacao: \"1\", natureza_operacao: \"Venda de produção do estabelecimento\",  modelo: \"1\", finalidade: \"1\",  ambiente: \"1\", cliente: %{    cpf: \"000.000.000-00\", nome_completo: \"Nome do Cliente\",    endereco: \"Av. Brg. Faria Lima\", complemento: \"Escritório\",    numero: 1000, bairro: \"Itaim Bibi\",    cidade: \"São Paulo\", uf: \"SP\",    cep: \"00000-000\", telefone: \"(00) 0000-0000\",    email: \"nome@email.com\" }, produtos: [%{    nome: \"Nome do produto\", codigo: \"nome-do-produto\",    ncm: \"6109.10.00\", cest: \"28.038.00\",    quantidade: 1, unidade: \"UN\",    peso: \"0.800\", origem: 0,    subtotal: \"29.90\", total: \"29.90\",    classe_imposto: \"REF1000\" }],  pedido: %{ pagamento: 0,    presenca: 2, modalidade_frete: 0,    frete: \"12.56\", desconto: \"10.00\",    total: \"174.60\" }})\n    %WebmaniaNfe.Invoice.Get.Response{\n      ID: \"123\",\n      url_notificacao: \"https://webmaniabr.com\",\n      operacao: \"1\",\n      natureza_operacao: \"Venda de produção do estabelecimento\",\n      modelo: \"1\",\n      finalidade: \"1\",\n      ambiente: \"1\",\n      cliente: %WebmaniaNfe.Invoice.Get.Response.Customer{\n        cpf: \"000.000.000-00\",\n        nome_completo: \"Nome do Cliente\",\n        endereco: \"Av. Brg. Faria Lima\",\n        complemento: \"Escritório\",\n        numero: 1000,\n        bairro: \"Itaim Bibi\",\n        cidade: \"São Paulo\",\n        uf: \"SP\",\n        cep: \"00000-000\",\n        telefone: \"(00) 0000-0000\",\n        email: \"nome@email.com\"\n      },\n      produtos: [%WebmaniaNfe.Invoice.Get.Response.Product{\n        nome: \"Nome do produto\",\n        codigo: \"nome-do-produto\",\n        ncm: \"6109.10.00\",\n        cest: \"28.038.00\",\n        quantidade: 1,\n        unidade: \"UN\",\n        peso: \"0.800\",\n        origem: 0,\n        subtotal: \"29.90\",\n        total: \"29.90\",\n        classe_imposto: \"REF1000\"\n      }],\n      pedido: %WebmaniaNfe.Invoice.Get.Response.Order{\n        pagamento: 0,\n        presenca: 2,\n        modalidade_frete: 0,\n        frete: \"12.56\",\n        desconto: \"10.00\",\n        total: \"174.60\"\n      }\n    }","ref":"WebmaniaNfe.Invoice.Get.Response.html"},{"type":"function","title":"WebmaniaNfe.Invoice.Get.Response.new/1","doc":"","ref":"WebmaniaNfe.Invoice.Get.Response.html#new/1"},{"type":"function","title":"WebmaniaNfe.Invoice.Get.Response.new!/1","doc":"","ref":"WebmaniaNfe.Invoice.Get.Response.html#new!/1"},{"type":"extras","title":"WebmaniaNfe","doc":"# WebmaniaNfe\n\n**TODO: Add description**","ref":"readme.html"},{"type":"extras","title":"Installation - WebmaniaNfe","doc":"This package is [available in Hex](https://hex.pm/packages/webmania_nfe), and package can be installed\nby adding `webmania_nfe` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:webmania_nfe, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"usage - WebmaniaNfe","doc":"```elixir\nconfig = %WebmaniaNfe.Client.Config{\n  base_url: \"https://webmaniabr.com/api/\",\n  consumer_key: \"CONSUMER_KEY\",\n  consumer_secret: \"CONSUMER_SECRET\",\n  access_token: \"ACCESS_TOKEN\",\n  access_token_secret: \"ACCESS_TOKEN_SECRET\"\n}\n\nwebmania_nfe =  config |> WebmaniaNfe.Client.new()\n\nwebmania_nfe\n |> WebmaniaNfe.Nfe.invoice(%WebmaniaNfe.Invoice.Request{\n        ID: \"123\",\n        url_notificacao: \"https://webmaniabr.com\",\n        operacao: \"1\",\n        natureza_operacao: \"Venda de produção do estabelecimento\",\n        modelo: \"1\",\n        finalidade: \"1\",\n        ambiente: \"1\",\n        cliente: %WebmaniaNfe.Invoice.Request.Customer{\n          cpf: \"000.000.000-00\",\n          nome_completo: \"Nome do Cliente\",\n          endereco: \"Av. Brg. Faria Lima\",\n          complemento: \"Escritório\",\n          numero: 1000,\n          bairro: \"Itaim Bibi\",\n          cidade: \"São Paulo\",\n          uf: \"SP\",\n          cep: \"00000-000\",\n          telefone: \"(00) 0000-0000\",\n          email: \"nome@email.com\"\n        },\n        produtos: [%WebmaniaNfe.Invoice.Request.Product{\n          nome: \"Nome do produto\",\n          codigo: \"nome-do-produto\",\n          ncm: \"6109.10.00\",\n          cest: \"28.038.00\",\n          quantidade: 1,\n          unidade: \"UN\",\n          peso: \"0.800\",\n          origem: 0,\n          subtotal: \"29.90\",\n          total: \"29.90\",\n          classe_imposto: \"REF1000\"\n        }],\n        pedido: %WebmaniaNfe.Invoice.Request.Order{\n          pagamento: 0,\n          presenca: 2,\n          modalidade_frete: 0,\n          frete: \"12.56\",\n          desconto: \"10.00\",\n          total: \"174.60\"\n        }\n      })\n\n\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at  .","ref":"readme.html#usage"}],"content_type":"text/markdown"}